package ru.ulstu.extractor;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.event.ApplicationReadyEvent;
import org.springframework.context.event.EventListener;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import ru.ulstu.extractor.gitrepository.service.IndexService;
import ru.ulstu.extractor.rule.service.DbRuleService;

@SpringBootApplication
@EnableScheduling
@EnableAsync
public class GitExtractorApplication {
    private final IndexService indexService;
    private final DbRuleService dbRuleService;

    public GitExtractorApplication(IndexService indexService, DbRuleService dbRuleService) {
        this.indexService = indexService;
        this.dbRuleService = dbRuleService;
    }

    public static void main(String[] args) {
        SpringApplication.run(GitExtractorApplication.class, args);
    }

    @EventListener(ApplicationReadyEvent.class)
    public void doSomethingAfterStartup() {
        indexService.indexFailedBranchesOnStart();
        //dbRuleService.generateRulesFromMarkup();
    }
}
