package ru.ulstu.extractor.ts.model;

import org.json.JSONObject;
import ru.ulstu.extractor.core.BaseEntity;

import javax.persistence.Entity;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

@Entity
public class TimeSeriesValue extends BaseEntity {
    private Date date;
    private Double value;

    public TimeSeriesValue() {
    }

    public TimeSeriesValue(Date date, Double value) {
        this.date = date;
        this.value = value;
    }

    public TimeSeriesValue(Integer value) {
        this.date = new Date();
        this.value = Double.valueOf(value);
    }

    public TimeSeriesValue(TimeSeries timeSeries, Date date, Double value) {
        this.date = date;
        this.value = value;
    }

    public TimeSeriesValue(JSONObject jsonValue) {
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd'T'hh:mm:ss");
        try {
            this.date = formatter.parse(jsonValue.getString("date"));
        } catch (ParseException e) {
            e.printStackTrace();
        }
        this.value = jsonValue.getDouble("value");
    }

    public Date getDate() {
        return date;
    }

    public Double getValue() {
        return value;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public void setValue(Double value) {
        this.value = value;
    }
}
